Loading...
Searching...
No Matches
irr::scene::ISceneNodeAnimatorCameraFPS Class Referenceabstract

Special scene node animator for FPS cameras. More...

`#include <ISceneNodeAnimatorCameraFPS.h>`

Inheritance diagram for irr::scene::ISceneNodeAnimatorCameraFPS:

## Public Member Functions

virtual const core::array< SKeyMap > & | getKeyMap () const =0
| Gets the keyboard mapping for this animator.
virtual f32 | getMoveSpeed () const =0
| Returns the speed of movement in units per millisecond.
virtual f32 | getRotateSpeed () const =0
| Returns the rotation speed in degrees.
virtual void | setInvertMouse (bool invert)=0
| Sets whether the Y axis of the mouse should be inverted.
virtual void | setKeyMap (const core::array< SKeyMap > &keymap)=0
virtual void | setKeyMap (SKeyMap *map, u32 count)=0
| Sets the keyboard mapping for this animator (old style).
virtual void | setMoveSpeed (f32 moveSpeed)=0
| Sets the speed of movement in units per millisecond.
virtual void | setRotateSpeed (f32 rotateSpeed)=0
| Set the rotation speed in degrees.
virtual void | setVerticalMovement (bool allow)=0
| Sets whether vertical movement should be allowed.
Public Member Functions inherited from irr::scene::ISceneNodeAnimator
virtual void | animateNode (ISceneNode *node, u32 timeMs)=0
| Animates a scene node.
virtual ISceneNodeAnimator * | createClone (ISceneNode *node, ISceneManager *newManager=0)=0
| Creates a clone of this animator.
virtual ESCENE_NODE_ANIMATOR_TYPE | getType () const
| Returns type of the scene node animator.
virtual bool | hasFinished (void) const
| Returns if the animator has finished.
virtual bool | isEventReceiverEnabled () const
| Returns true if this animator receives events.
virtual bool | OnEvent (const SEvent &event)
| Event receiver, override this function for camera controlling animators.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.
Public Member Functions inherited from irr::IEventReceiver
virtual | ~IEventReceiver ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Special scene node animator for FPS cameras.

This scene node animator can be attached to a camera to make it act like a first person shooter

Definition at line 23 of file ISceneNodeAnimatorCameraFPS.h.

## Member Function Documentation

## getKeyMap()

virtual const core::array< SKeyMap > & irr::scene::ISceneNodeAnimatorCameraFPS::getKeyMap | ( |  | ) | const

pure virtual

Gets the keyboard mapping for this animator.

## getMoveSpeed()

virtual f32 irr::scene::ISceneNodeAnimatorCameraFPS::getMoveSpeed | ( |  | ) | const

pure virtual

Returns the speed of movement in units per millisecond.

## getRotateSpeed()

virtual f32 irr::scene::ISceneNodeAnimatorCameraFPS::getRotateSpeed | ( |  | ) | const

pure virtual

Returns the rotation speed in degrees.

The degrees are equivalent to a half screen movement of the mouse, i.e. if the mouse cursor had been moved to the border of the screen since the last animation.

## setInvertMouse()

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setInvertMouse | ( | bool | invert | ) |

pure virtual

Sets whether the Y axis of the mouse should be inverted.

If enabled then moving the mouse down will cause the camera to look up. It is disabled by default.

## setKeyMap() [1/2]

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setKeyMap | ( | const core::array< SKeyMap > & | keymap | ) |

pure virtual

Sets the keyboard mapping for this animator

Parameters

  keymap | The new keymap array

## setKeyMap() [2/2]

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setKeyMap | ( | SKeyMap * | map,
|  | u32 | count )

pure virtual

Sets the keyboard mapping for this animator (old style).

Parameters

  map | Array of keyboard mappings, see irr::SKeyMap
  count | Size of the keyboard map array.

## setMoveSpeed()

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setMoveSpeed | ( | f32 | moveSpeed | ) |

pure virtual

Sets the speed of movement in units per millisecond.

## setRotateSpeed()

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setRotateSpeed | ( | f32 | rotateSpeed | ) |

pure virtual

Set the rotation speed in degrees.

## setVerticalMovement()

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setVerticalMovement | ( | bool | allow | ) |

pure virtual

Sets whether vertical movement should be allowed.

If vertical movement is enabled then the camera may fight with gravity causing camera shake. Disable this if the camera has a collision animator with gravity enabled.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorCameraFPS.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0